Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.ontology
Class ProfileRegistry

    java.lang.Object
      com.hp.hpl.jena.ontology.ProfileRegistry

    public class ProfileRegistry

extends java.lang.Object

Provides a means to map between the URI's that represent ontology languages and their language profiles.

Version:
  CVS $Id: ProfileRegistry.java,v 1.13 2008/01/02 12:06:41 andy_seaborne Exp $
Author:
  Ian Dickinson, HP Labs (email)

Field Summary
`static java.lang.String` | `DAML_LANG` The URI that maps to the language profile for DAML+OIL
`static java.lang.String` | `OWL_DL_LANG` The URI that maps to the language profile for OWL-DL
`static java.lang.String` | `OWL_LANG` The URI that maps to the language profile for OWL-Full
`static java.lang.String` | `OWL_LITE_LANG` The URI that maps to the language profile for OWL-Lite
`static java.lang.String` | `RDFS_LANG` The URI that maps to the language profile for RDFS

Method Summary
`static ProfileRegistry` | `getInstance()` Answer the singleton instance
`Profile` | `getProfile(java.lang.String uri)` Answer the language profile for the given language URI, or null if not known.
`void` | `registerProfile(java.lang.String uri, Profile profile)` Add a language profile with the given URI key

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OWL_LANG

    public static final java.lang.String OWL_LANG

  The URI that maps to the language profile for OWL-Full

### OWL_DL_LANG

    public static final java.lang.String OWL_DL_LANG

  The URI that maps to the language profile for OWL-DL

### OWL_LITE_LANG

    public static final java.lang.String OWL_LITE_LANG

  The URI that maps to the language profile for OWL-Lite

### DAML_LANG

    public static final java.lang.String DAML_LANG

  The URI that maps to the language profile for DAML+OIL

  See Also:
    Constant Field Values

### RDFS_LANG

    public static final java.lang.String RDFS_LANG

  The URI that maps to the language profile for RDFS

Method Detail

### getInstance

    public static ProfileRegistry getInstance()

  Answer the singleton instance

  Returns:
    The singleton registry

### registerProfile

    public void registerProfile(java.lang.String uri,
                                Profile profile)

  Add a language profile with the given URI key

  Parameters:
    `uri` - The URI denoting the language
    `profile` - The language profile for the language

### getProfile

    public Profile getProfile(java.lang.String uri)

  Answer the language profile for the given language URI, or null if not known.

  Parameters:
    `uri` - A URI denoting an ontology language
  Returns:
    An ontology langugae profile for that language

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP